<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- 
    Mapping file autogenerated by MyEclipse Persistence Tools
-->
<hibernate-mapping>
    <class name="com.yihu.hos.system.model.SystemDatasource" table="system_datasource">
        <id name="id" type="java.lang.String">
            <column name="id" length="50" />
            <generator class="uuid" />
        </id>
        <property name="orgId" type="java.lang.String">
            <column name="org_id" length="50">
                <comment>机构代码</comment>
            </column>
        </property>
        <property name="name" type="java.lang.String">
            <column name="name" length="50" not-null="true">
                <comment>数据源名称</comment>
            </column>
        </property>
        <property name="config" type="java.lang.String">
            <column name="config" length="200">
                <comment>连接字符串</comment>
            </column>
        </property>
        <property name="type" type="java.lang.String">
            <column name="type" length="50">
                <comment>类型（字典）0--数据库 1--web service 2--文件系统</comment>
            </column>
        </property>
    </class>
</hibernate-mapping>
